@echo off
setlocal enabledelayedexpansion

:: Set the log file name
set LOGFILE=KafkIO_debug.log

:: Set a writable folder for saving logs (e.g., the user's Desktop or Documents)
set LOGFOLDER=%USERPROFILE%\Documents\KafkIO_Logs

:: Create the folder if it doesn't exist
if not exist "%LOGFOLDER%" mkdir "%LOGFOLDER%"

:: Inform the user and ask for their choice
echo Would you like to see the debug logs or save them to a file?
echo [1] View logs on the console
echo [2] Save to a file

:: Prompt user for input
set /p choice=Choose option [1 or 2]:

:: Run the command (example: any command you want to log)
set COMMAND=KafkIO.exe -x -Dprism.verbose=true -Djdk.gtk.verbose=true -Djavafx.verbose=true -Dprism.debugfonts=true

:: More verbose
:: set COMMAND=KafkIO.exe -x -Dprism.verbose=true -Djdk.gtk.verbose=true -Djavafx.verbose=true -Dprism.debugfonts=true -Dquantum.verbose=true -Dprism.debug=true

:: Graphics issues? Try software rendering
:: set COMMAND=KafkIO.exe -Dprism.order=sw

:: Handling user input
if "%choice%"=="1" (
    :: Display output on the console (stdout and stderr)
    echo Logging output to the console...
    %COMMAND% 2>&1 | findstr -r "."
) else if "%choice%"=="2" (
    :: Save output to a log file and display it in the console
    echo Logging debug output to %LOGFOLDER%\%LOGFILE%...
    %COMMAND% > "%LOGFOLDER%\%LOGFILE%" 2>&1
    echo Debug logs saved to "%LOGFOLDER%\%LOGFILE%"
    :: Open the folder where the debug log file is saved
    explorer "%LOGFOLDER%"
) else (
    echo Invalid choice. Please run the script again and choose either 1 or 2.
)

:: End of script
endlocal